summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrzej Telszewski <atelszewski@gmail.com>2017-04-25 09:19:06 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-29 12:51:27 +0700
commit005bab701ac2944eee55b82bd4157453f2f8e1e9 (patch)
tree5a68e1de02df41628ec1b8211cdfe6aae61a663e
parent4b348d83d643902fa991d263b9906332bf80b25d (diff)
downloadslackbuilds-005bab701ac2944eee55b82bd4157453f2f8e1e9.tar.gz
slackbuilds-005bab701ac2944eee55b82bd4157453f2f8e1e9.tar.xz
office/osmo: Updated for version 0.4.0_1.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--office/osmo/README20
-rw-r--r--office/osmo/osmo.SlackBuild55
-rw-r--r--office/osmo/osmo.info6
-rw-r--r--office/osmo/slack-desc2
4 files changed, 44 insertions, 39 deletions
diff --git a/office/osmo/README b/office/osmo/README
index 1d7d8e84fb..7e8336eb0e 100644
--- a/office/osmo/README
+++ b/office/osmo/README
@@ -1,9 +1,13 @@
-Osmo is a handy personal organizer, which includes calendar, tasks manager,
-address book and notes modules. It was designed to be a small, easy to use and
-good looking PIM tool to help to manage personal information. In its current
-state the organizer is quite convenient to use - for example, the user can
-perform nearly all operations using the keyboard. Also, a lot of parameters
-are configurable to meet the user's preferences. On the technical side, Osmo
-is GTK+ based tool which uses a plain XML database to store all personal data.
+Osmo is a handy personal organizer, which includes calendar, tasks
+manager, contacts and notes modules. It was designed to be a small,
+easy to use and good looking PIM tool to help to manage personal
+information. In its current state the organizer is quite convenient
+to use - for example, the user can perform nearly all operations using
+the keyboard. Also, a lot of parameters are configurable to meet the
+user's preferences. On the technical side, Osmo is GTK+3 based tool
+which uses a plain XML database to store all personal data.
-Optional build-time dependencies are: libgringotts and webkitgtk.
+Optional build-time dependencies are (available from SlackBuilds.org):
+- libgringotts: for backup support,
+- webkit2gtk: for contacts support,
+- gtkspell3: for spell checker.
diff --git a/office/osmo/osmo.SlackBuild b/office/osmo/osmo.SlackBuild
index dc81c6d35c..15452b9908 100644
--- a/office/osmo/osmo.SlackBuild
+++ b/office/osmo/osmo.SlackBuild
@@ -2,8 +2,8 @@
# Slackware build script for Osmo
-# Copyright 2014, Andrzej Telszewski <atelszewski@gmail.com>
# Copyright 2008, 2009 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# Copyright 2017 Andrzej Telszewski, Banie
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -12,25 +12,26 @@
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=osmo
-VERSION=${VERSION:-0.2.12}
+VERSION=${VERSION:-0.4.0_1}
+SRCVER=$(echo $VERSION | tr _ -)
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -41,8 +42,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -60,27 +61,27 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
-cd $PRGNAM-$VERSION
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.?z*
+cd $PRGNAM-$SRCVER
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --localstatedir=/var \
--mandir=/usr/man \
--build=$ARCH-slackware-linux
make
-make install-strip DESTDIR=$PKG
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
@@ -92,7 +93,7 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/osmo/osmo.info b/office/osmo/osmo.info
index 7cc031df78..b0b0649c11 100644
--- a/office/osmo/osmo.info
+++ b/office/osmo/osmo.info
@@ -1,8 +1,8 @@
PRGNAM="osmo"
-VERSION="0.2.12"
+VERSION="0.4.0_1"
HOMEPAGE="http://clayo.org/osmo/"
-DOWNLOAD="https://sourceforge.net/projects/osmo-pim/files/osmo-pim/osmo-0.2.12/osmo-0.2.12.tar.gz"
-MD5SUM="567fb326603a693667d735942a64895d"
+DOWNLOAD="http://sourceforge.net/projects/osmo-pim/files/osmo-pim/osmo-0.4.0/osmo-0.4.0-1.tar.gz"
+MD5SUM="a05124969e1db0032b6dde4cc2e0be44"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/office/osmo/slack-desc b/office/osmo/slack-desc
index f7837b0ae5..0a517382eb 100644
--- a/office/osmo/slack-desc
+++ b/office/osmo/slack-desc
@@ -9,7 +9,7 @@
osmo: osmo (Handy Personal Organizer)
osmo:
osmo: Osmo is a handy personal organizer, which includes calendar, tasks
-osmo: manager, address book and notes modules. It was designed to be a
+osmo: manager, contacts and notes modules. It was designed to be a
osmo: small, easy to use and good looking PIM tool to help to manage
osmo: personal information.
osmo: